Bug 324919 - Names are almost always truncated badly
Summary: Names are almost always truncated badly
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-14 23:26 UTC by David Edmundson
Modified: 2013-09-15 20:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-09-14 23:26:20 UTC
In the log viewer left hand side menu when a metacontact is expanded the name wraps onto two lines. 

This results in text being cropped vertically.

I personally think we should drop the account name on the right and replace it with the account icon. This should give more space and we can then set the text not to wrap.

If it's unclear I'll add a screenshot.
Comment 1 Daniel Vrátil 2013-09-15 20:50:10 UTC
Git commit eb3c267674045fb22bb66bc87e4a966d71a4f015 by Dan Vrátil.
Committed on 15/09/2013 at 13:53.
Pushed by dvratil into branch 'master'.

Use account icon instead of name in LogViewer

REVIEW: 112736

M  +19   -22   logviewer/dates-view-delegate.cpp
M  +3    -0    logviewer/dates-view-delegate.h
M  +16   -35   logviewer/entity-view-delegate.cpp

http://commits.kde.org/telepathy-text-ui/eb3c267674045fb22bb66bc87e4a966d71a4f015